POST

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST Add Comment

Add a comment to an existing work order.

POST /ODataApi/v1/WorkOrders('{name}')/AddComment

Endpoint

https://{sitename}.mvpplant.com/ODataApi/v1/WorkOrders('{name}')/AddComment

Replace:

  • {sitename} with your MVP One site name.
  • {name} with the work order name or identifier.

Path parameter

ParameterData typeRequiredDescription
nameStringYesWork order name or identifier for the work order that receives the comment.

Request body fields

FieldData typeRequiredDescription
CommentStringYesComment text to add to the work order.
UsernameStringYesUsername associated with the comment.

Example request

{
  "Comment": "Inspection completed. Replacement part is on order.",
  "Username": "JSMITH"
}

Example endpoint

POST https://company.mvpplant.com/ODataApi/v1/WorkOrders('WO-1001')/AddComment

Response

A successful request returns a Boolean value:

true

Notes

  • The work order must already exist before you call this endpoint.
  • Use single quotes around the work order name or identifier in the endpoint URL.
  • Include both Comment and Username in every request.
Path Params
string
required
Response

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!